Update Organization
Authorization<token>
Bearer token
In: header
X-Organization-ID<token>
Tenant or organization identifier
In: header
name?string
description?string
enforceMfa?boolean
enforceVerifiedDomain?boolean
enforceSso?boolean
asn?string
Format
int64providerLogoUrl?string
ddosProvider?string
providerWebsiteUrl?string
address?string
taxId?string
accountHolderName?string
supportEmail?string
supportPhone?string
addressLine1?string
addressLine2?string
addressCity?string
addressRegion?string
addressPostcode?string
addressCountry?string
ISO 3166-1 alpha-2 (e.g. US, DE).
vatId?string
billingEmail?string
socialAccountsJson?string
JSON array of up to 4 objects: [{"platform":"x","url":"https://..."}, ...]. platform must be one of: x, linkedin, instagram, facebook (Facebook/Meta).
Response Body
application/json
curl -X PATCH "https://api.nrings.io/v1/organizations" \ -H "Authorization: Bearer {your_token}" \ -H "X-Organization-ID: {your_org_id}" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "description": "string", "enforceMfa": false, "enforceVerifiedDomain": false, "enforceSso": false, "asn": "string", "providerLogoUrl": "string", "ddosProvider": "string", "providerWebsiteUrl": "string", "address": "string", "taxId": "string", "accountHolderName": "string", "supportEmail": "string", "supportPhone": "string", "addressLine1": "string", "addressLine2": "string", "addressCity": "string", "addressRegion": "string", "addressPostcode": "string", "addressCountry": "string", "vatId": "string", "billingEmail": "string", "socialAccountsJson": "string"}'{
"organization": {
"id": "string",
"name": "string",
"description": "string",
"type": "ORGANIZATION_TYPE_UNSPECIFIED",
"enforceMfa": true,
"enforceVerifiedDomain": true,
"enforceSso": true,
"asn": "string",
"owner": "string",
"domains": [
"string"
],
"groups": [
"string"
],
"organizationRoles": [
"string"
],
"subscriptions": [
"string"
],
"metadata": {},
"status": "STATUS_UNSPECIFIED",
"timestamps": {
"createTime": "2019-08-24T14:15:22Z",
"updateTime": "2019-08-24T14:15:22Z"
},
"providerLogoUrl": "string",
"ddosProvider": "string",
"providerWebsiteUrl": "string",
"isVerified": true,
"reviewRequested": true
}
}List Organizations GET
Previous Page
Attach Payment Method POST
Attach a payment method to a subscription/organization Works for both providers (platform subscriptions) and clients (provider plan subscriptions) Authorization: Check organization type and rule engine (subscription.payment_method.manage.enabled)